[arch-commits] Commit in swt/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri May 1 09:28:51 EDT 2009


    Date: Friday, May 1, 2009 @ 09:28:51
  Author: jgc
Revision: 37412

Merged revisions 3425,37087,37411 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/swt/trunk

........
  r3425 | jgc | 2008-06-22 20:24:09 +0200 (Sun, 22 Jun 2008) | 1 line
  
  upgpkg: swt 3.3.2-1
........
  r37087 | jgc | 2009-04-30 16:48:39 +0200 (Thu, 30 Apr 2009) | 2 lines
  
  upgpkg: swt 3.4-1
      Update to 3.4, build with openjdk6, depend on java-runtime=6, add dependencies on GTK, make other bindings optdepends
........
  r37411 | jgc | 2009-05-01 15:28:32 +0200 (Fri, 01 May 2009) | 1 line
  
  upgpkg: swt 3.4-1
........

Modified:
  swt/repos/extra-i686/	(properties)
  swt/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)


Property changes on: swt/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /swt/trunk:1-3322
   + /swt/trunk:1-37411

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-01 13:28:32 UTC (rev 37411)
+++ extra-i686/PKGBUILD	2009-05-01 13:28:51 UTC (rev 37412)
@@ -1,28 +1,29 @@
 # $Id$
 # Maintainer: simo <simo at archlinux.org>
 pkgname=swt
-pkgver=3.3.2
+pkgver=3.4
 pkgrel=1
 pkgdesc="An open source widget toolkit for Java"
-_date=200802211800
+_date=200806172000
 arch=(i686 x86_64)
 url="http://www.eclipse.org/swt/"
 license=('EPL')
-depends=('java-runtime')
-makedepends=('java-gcj-compat' 'libxtst' 'mesa' 'libgnomeui' 'xulrunner>=1.9' 'unzip' 'pkgconfig' 'apache-ant')
+depends=('java-runtime>=6' 'gtk2>=2.16.1' 'libxtst')
+optdepends=('libgnomeui' 'xulrunner' 'mesa')
+makedepends=('openjdk6' 'libxtst' 'mesa' 'libgnomeui' 'xulrunner>=1.9' 'unzip' 'pkgconfig' 'apache-ant')
 if [ "${CARCH}" = "i686" ]; then
   source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86.zip
           build-swt.xml)
   noextract=(swt-${pkgver}-gtk-linux-x86.zip)
-  md5sums=('7c5019b624a7ef37376bc6039aefaae8'
+  md5sums=('b6bf01aa408377f2fe5f617a4dea1876'
            'f5e548bc26a0f1f3c18131be76face40')
 fi
 if [ "${CARCH}" = "x86_64" ]; then
   source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86_64.zip
           build-swt.xml)
+  md5sums=('d1caf792ac86f211edcd6f08501a4807'
+           'f5e548bc26a0f1f3c18131be76face40')
   noextract=(swt-${pkgver}-gtk-linux-x86_64.zip)
-  md5sums=('b0a4b3442e61d2968acecfa18cdd3aa9'
-           'f5e548bc26a0f1f3c18131be76face40')
 fi
 
 build() {
@@ -40,12 +41,12 @@
   make -f make_linux.mak make_swt || return 1
   make -f make_linux.mak make_atk || return 1
   make -f make_linux.mak make_gnome || return 1
-  MOZILLA_INCLUDES="`pkg-config --cflags libxul`" \
-  MOZILLA_LIBS="`pkg-config --libs libxul` -Wl,-R/usr/lib/xulrunner-1.9" \
-    make -f make_linux.mak make_mozilla || return 1
-  XULRUNNER_INCLUDES="`pkg-config --cflags libxul`" \
-  XULRUNNER_LIBS="`pkg-config --libs libxul` -Wl,-R/usr/lib/xulrunner-1.9" \
-    make -f make_linux.mak make_xulrunner || return 1
+  export MOZILLA_INCLUDES="`pkg-config --cflags libxul`"
+  export MOZILLA_LIBS="-Wl,-R`pkg-config libxul --variable=libdir` `pkg-config libxul --libs`"
+  export XULRUNNER_INCLUDES="${MOZILLA_INCLUDES}"
+  export XULRUNNER_LIBS="${MOZILLA_LIBS}"
+  make -f make_linux.mak make_mozilla || return 1
+  make -f make_linux.mak make_xulrunner || return 1
 
   make -f make_linux.mak make_cairo || return 1
   make -f make_linux.mak make_glx || return 1



More information about the arch-commits mailing list